public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/gentoo-perl-helpers/
Date: Wed, 13 Sep 2023 03:49:19 +0000 (UTC)	[thread overview]
Message-ID: <1694576883.cf9b5b6cbf1cdc32943d53ccf96caeb41726474c.sam@gentoo> (raw)

commit:     cf9b5b6cbf1cdc32943d53ccf96caeb41726474c
Author:     Leonardo Hernández Hernández <leohdz172 <AT> proton <DOT> me>
AuthorDate: Sun Sep 10 23:39:31 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Sep 13 03:48:03 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf9b5b6c

app-admin/gentoo-perl-helpers: update EAPI 6 -> 8

Signed-off-by: Leonardo Hernández Hernández <leohdz172 <AT> proton.me>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../gentoo-perl-helpers-0.4.0-r1.ebuild            | 53 ++++++++++++++++++++++
 1 file changed, 53 insertions(+)

diff --git a/app-admin/gentoo-perl-helpers/gentoo-perl-helpers-0.4.0-r1.ebuild b/app-admin/gentoo-perl-helpers/gentoo-perl-helpers-0.4.0-r1.ebuild
new file mode 100644
index 000000000000..87e71a5c3fe0
--- /dev/null
+++ b/app-admin/gentoo-perl-helpers/gentoo-perl-helpers-0.4.0-r1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Introspection and Upgrade Assistance tools for Gentoo Perl"
+HOMEPAGE="https://github.com/gentoo-perl/gentoo-perl-helpers"
+SRC_URI="
+	https://github.com/gentoo-perl/${PN}/releases/download/${PV}/${P}.tar.xz
+	mirror://gentoo/${P}.tar.xz
+	https://dev.gentoo.org/~kentnl/distfiles/${P}.tar.xz
+"
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+# Assumed System:
+# sys-apps/coreutils
+# sys-apps/grep
+# sys-apps/sed
+# app-shells/bash
+# sys-apps/gawk
+# app-arch/tar
+
+# multiple --quiet, --format and anti-slot support)
+RDEPEND="
+	>=app-portage/portage-utils-0.80_pre20190620
+"
+BDEPEND="app-arch/xz-utils[extra-filters]"
+
+src_prepare() {
+	sed -i -e "s^@@LIBDIR@@^${EPREFIX}/usr/lib/gentoo-perl-helpers^g" 		\
+		   -e "s^@@LIBEXECDIR@@^${EPREFIX}/usr/libexec/gentoo-perl-helpers^g" \
+		   "${S}/bin/gentoo-perl"			\
+		   "${S}/lib/core-functions.sh"		\
+		   || die "Can't patch bin/gentoo-perl"
+	default
+}
+
+src_compile() { :; }
+
+src_install() {
+	exeinto /usr/bin
+	doexe "${S}/bin/"*
+
+	exeinto /usr/libexec/gentoo-perl-helpers
+	doexe "${S}/libexec/"*
+
+	insinto /usr/lib/gentoo-perl-helpers
+	doins -r "${S}/lib/"*
+
+	dodoc "${S}/README.mkdn" "${S}/Changes"
+}


             reply	other threads:[~2023-09-13  3:49 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-09-13  3:49 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-17 21:50 [gentoo-commits] repo/gentoo:master commit in: app-admin/gentoo-perl-helpers/ Mike Gilbert
2023-11-06  0:21 Andreas Sturmlechner
2023-10-08 15:29 Arthur Zamarin
2023-10-08 15:29 Arthur Zamarin
2023-09-02 11:42 Andreas Sturmlechner
2022-01-18 13:22 Ben Kohler
2022-01-06 10:39 David Seifert
2021-02-11 20:10 Andreas K. Hüttel
2020-12-17  0:53 Sam James
2020-03-21  9:24 Mart Raudsepp
2019-07-29  8:57 Mikle Kolyada
2019-07-26 19:15 Kent Fredric
2019-06-29  9:20 Michał Górny
2019-06-23  7:00 Kent Fredric
2017-10-12 19:05 Kent Fredric
2017-10-12  5:33 Kent Fredric
2017-09-20 11:13 Kent Fredric
2017-06-05 14:34 Kent Fredric
2017-02-14  5:42 Kent Fredric
2017-02-09 15:46 Kent Fredric
2017-02-08 12:07 Kent Fredric
2017-02-01  2:42 Kent Fredric

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1694576883.cf9b5b6cbf1cdc32943d53ccf96caeb41726474c.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox